cURL
Set Veriff Config
curl --request PUT \ --url https://api.enterprise.sandbox.uphold.com/kyc-connector/veriff/config \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "integrations": [ { "name": "integration-abc123", "apiKey": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "sharedSecretKey": "f0e1d2c3-b4a5-6789-0fed-cba987654321", "processes": [ "profile", "address", "identity" ] } ] } '
200
Veriff Config Set
{ "config": { "integrations": [ { "name": "integration-abc123", "apiKey": "4e0a****", "sharedSecretKey": "b622****", "processes": [ "profile", "address", "identity" ] } ], "createdAt": "2026-01-15T14:23:01.819Z", "updatedAt": "2026-01-15T14:25:00.000Z" } }
Create or update the Veriff provider configuration for the organization.
OAuth 2.0 authentication
The list of Veriff integration configurations.
1
Show child attributes
Veriff config created or updated.
The Veriff provider configuration.
Was this page helpful?